Bug 434001 - gchempaint failed massrebuild attempt for GCC 4.3
Summary: gchempaint failed massrebuild attempt for GCC 4.3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gchempaint
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: gcc43errors
TreeView+ depends on / blocked
 
Reported: 2008-02-22 12:54 UTC by Jesse Keating
Modified: 2013-01-10 02:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-23 22:56:39 UTC
Type: ---


Attachments (Terms of Use)

Description Jesse Keating 2008-02-22 12:54:22 UTC
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=436780
Exit code was 1, check the build.log for the failed buildArch task.

Comment 1 Jon Stanley 2008-02-23 19:10:45 UTC
In file included from /usr/include/openbabel-2.0/openbabel/mol.h:44,
                 from molecule.h:31,
                 from document.h:40,
                 from document.cc:30:
/usr/include/openbabel-2.0/openbabel/data.h: In constructor
'OpenBabel::OBElement::OBElement(int, const char*, double, double, int, double,
double, double, double, double, double, double, std::string)':
/usr/include/openbabel-2.0/openbabel/data.h:116: error: 'strncpy' was not
declared in this scope
In file included from document.cc:46:
/usr/include/openbabel-2.0/openbabel/obconversion.h: In member function 'bool
OpenBabel::CharPtrLess::operator()(const char*, const char*) const':
/usr/include/openbabel-2.0/openbabel/obconversion.h:152: error: 'strcasecmp' was
not declared in this scope


Note You need to log in before you can comment on or make changes to this bug.